Foreman - Bug #2666

Unable to create new host
06/13/2013 07:14 PM - Lucas E Holm
Target version:
Pull request:

Description

Hi,

I'm unable to create new host:

'Unable to save: Failed to destroy a compute hypervisor.domain.tld (VMWare) instance host.domain.tld: unexpected path class
NilClass mac value is blank'

Using unattended mode and there is no option to type mac in 'virtual machine' view.
Can provide debug logs if needed.

rpm -ga | grep foreman
foreman-1.1stable-3.el6.noarch
foreman-proxy-1.1stable-1.el6.noarch
foreman-installer-1.1.2-1.noarch
foreman-vmware-1.1stable-3.el6.noarch
foreman-mysql2-1.1stable-3.el6.noarch

Related issues:
Related to Foreman - Feature #1945: Better VMWare support for non-clusters setup Closed

History

#1 - 06/14/2013 04:05 AM - Dominic Cleal
- Assignee deleted (Ohad Levy)

Check for any errors in /var/log/foreman/production.log when you select the compute resource from the "Deploy on" dropdown menu on the first tab
on the form.

It's probably also worth trying on 1.2.0 at this point, since a lot of bug fixes have gone in.

#2 - 06/14/2013 04:43 AM - Lucas E Holm

Started POST "/hosts/puppetclass_parameters" for 10.8.0.42 at Fri Jun 14 10:39:10 +0200 2013
Processing by HostsController#puppetclass_parameters as

Parameters: {"authenticity_token"=>"RTpV6VIDWAOIN1+gDtxogEYYnlJsZWnIPZmLPtZ8mcU=", "capabilities"=>"build",
"utf8"=>"0", "host"=>{"name"=>"newhost001", "progress_report_id"=>"[FILTERED]", "interfaces_attributes"=>{"new
_interfaces"=>{"type"=>"Nic::Managed", "name"=>"", "provider"=>"IPMI", "ip"=>"root", "domain_id"=>"", "_destro
y"=>"false", "mac"=>""}}, "compute_attributes"=>{"memory_mb"=>"768", "interfaces_attributes"=>{"new_interfaces
"=>{"network"=>"VM Network", "_delete"=>""}, "O"=>{"network"=>"VM Network", "_delete"=>""}}, "path"=>"/ha-fold
er-root/ha-datacenter/vm", "start"=>"1", "cluster"=>"dmzhoster.secana.evry", "volumes_attributes"=>{"new_volum
es"=>{"name"=>"Hard disk", "size_gb"=>"10", "datastore"=>"datastorel", "_delete"=>""}, "0"=>{"name"=>"Hard dis
k", "size_gb"=>"10", "datastore"=>"datastorel", "_delete"=>""}}, "cpus"=>"1"}, "build"=>"1", "hostgroup_id"=>"

", "ip"=>"", "environment_id"=>"", "enabled"=>"1", "architecture_id"=>"", "provision_method"=>"build", "disk"=
>"", "root_pass"=>"[FILTERED]", "comment"=>"", "overwrite"=>"false", "compute_resource_id"=>"1", "puppet_proxy

_id"=>"1", "domain_id"=>"1", "subnet_id"=>"", "model_id"=>"", "mac"=>"", "updated_at"=>"1371199134", "managed"
=>"true"}}
A [1Im"[[35mUser Load (0.7ms)"[[Om SELECT “users .* FROM “users  WHERE “users . 'id’ = 1 LIMIT 1
Setting current user thread-local variable to admin

A IIm [ [36mSQL (0.6ms)~[[Om " [[ImSELECT COUNT (*) AS count_all, puppetclass_id AS puppetclass_id FROM " looku
p_keys® WHERE °lookup_keys . puppetclass_id" IN (NULL) GROUP BY puppetclass_id"[[Om

A [1Im [ [35mSQL (1.7ms)~[[Om SELECT COUNT (*) AS count_all, environment_classes.puppetclass_id AS environment
_classes_puppetclass_id FROM " lookup_keys ™ INNER JOIN “environment_classes  ON “environment_classes’ . lookup_k
ey_id® = "lookup_keys . id’ WHERE " environment_classes . puppetclass_id" IN (NULL) GROUP BY environment_classe
s.puppetclass_id
Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
Rendered puppetclasses/_classes_parameters.html.erb (11.2ms)
Completed 200 OK in 25ms (Views: 11.8ms | ActiveRecord: 4.4ms)

#3 - 06/14/2013 06:19 AM - Lucas E Holm

| resolved this by adding 'mac' as global variable. Afterwards MAC input was visible in 'Create Host/Network' view.

#4 - 06/18/2013 09:30 AM - Joakim T
Hi,

After i choose the "deploy on" field under host the "mac" field under network gets it style changed to "display: none".
When i then hit the submit button i get the error message that the mac address is missing.

The mac field is left with this style / tree layout

<div id="mac_address" style="display: none;">
<div class="control-group ">
<label class="control-label" for="mac">MAC</label>
<div class="controls">
<input autocomplete="off" id="host_mac" name="host[mac]" size="30" type="text" value="">
<span class="help-inline">MAC address for this host</span>
<span class="help-block"></span>
</div>
</div>
</div>

#5 - 06/19/2013 04:47 AM - Amos Benari

- Status changed from New to Feedback

Please try reproduce the issue on Foreman 1.2 as we have fixed several bugs in the VMWare integration code.
If the problem persist can you please specify if you are working with vSphere or directly with ESX hypervisor?
Thanks.

#6 - 07/16/2013 10:07 AM - Oliver Weinmann
Hi,
running foreman 1.2 | get the same error on a standalone esxi 5.1 after appying the patch from here:

http://projects.theforeman.org/issues/1945

It works fine on a vSphere Cluster.

Maybe this is related?

#7 - 02/27/2014 03:45 PM - Benjamin Papillon
- Related to Feature #1945: Better VMWare support for non-clusters setup added

#8 - 02/27/2014 03:46 PM - Benjamin Papillon
- Description updated
Hello,

Did you try again after upgrading to 1.3 or 1.4?
With or without patch on #19457?

Thanks for your report

#9 - 04/23/2014 01:40 PM - Johan Sunnerstig

Hello,
I've tried this on 1.4.1-3 and on the nightly(~1 week old as well as one from today) and the problem persists for me.
Without the patch in #1945 | get the usual "requires cluster" message regardless of version. With the patch on 1.4.x | run into the uuid problem in
#4590 . With the patch on nightly | run into this message: "undefined method “new' for "VirtualE1000":String".

Regards
Johan

#10 - 01/27/2015 11:13 AM - Ryan DeShone

Is there any update on this? | just set up Foreman 1.7 to manage two VMWare hosts and am having this exact issue (once | manually patched the
issue from #1945). Does anyone have a workaround? Can we get any sort of traction on a fix? What seems like a relatively small bug like this
lingering for over a year is worrisome.

#11 - 05/17/2017 09:48 AM - Anonymous
- Status changed from Feedback to Rejected

only vSphere is supported.
